[MERGED] osmo-bts[master]: lc15: add jenkins helper

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Harald Welte gerrit-no-reply at lists.osmocom.org
Wed Jun 21 20:25:30 UTC 2017


Harald Welte has submitted this change and it was merged.

Change subject: lc15: add jenkins helper
......................................................................


lc15: add jenkins helper

Add jenkins build helper for lc15 and separate header with BTS-agnostic
functions.

Change-Id: Ib47f5a6cc88e784c5662b0dab4ddc03ce9a35132
Related: SYS#3682
---
M contrib/jenkins_bts_model.sh
A contrib/jenkins_lc15.sh
2 files changed, 41 insertions(+), 0 deletions(-)

Approvals:
  Harald Welte: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/contrib/jenkins_bts_model.sh b/contrib/jenkins_bts_model.sh
index 58eac5b..c44daa7 100755
--- a/contrib/jenkins_bts_model.sh
+++ b/contrib/jenkins_bts_model.sh
@@ -18,6 +18,10 @@
     ./contrib/jenkins_oct.sh
   ;;
 
+  lc15)
+    ./contrib/jenkins_lc15.sh
+  ;;
+
   trx)
     ./contrib/jenkins_bts_trx.sh
   ;;
diff --git a/contrib/jenkins_lc15.sh b/contrib/jenkins_lc15.sh
new file mode 100644
index 0000000..a0eef43
--- /dev/null
+++ b/contrib/jenkins_lc15.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# shellcheck source=contrib/jenkins_common.sh
+. $(dirname "$0")/jenkins_common.sh
+
+osmo-build-dep.sh libosmocore
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+osmo-build-dep.sh libosmo-abis
+
+cd "$deps"
+if ! test -d litecell15-fw;
+then
+  git clone https://gitlab.com/nrw_litecell15/litecell15-fw.git
+fi
+
+cd litecell15-fw
+git fetch origin
+git reset --hard origin/$FIRMWARE_VERSION
+
+cd "$base"
+
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-bts-lc15 ==============================="
+echo
+set -x
+
+autoreconf --install --force
+./configure --with-openbsc="$deps/openbsc/openbsc/include" --with-litecell15="$deps/litecell15-fw/" --enable-litecell15
+$MAKE "$PARALLEL_MAKE"
+$MAKE check || cat-testlogs.sh
+DISTCHECK_CONFIGURE_FLAGS="--with-litecell15=$deps/litecell15-fw/ --with-openbsc=$deps/openbsc/openbsc/include --enable-litecell15" $MAKE distcheck || cat-testlogs.sh

-- 
To view, visit https://gerrit.osmocom.org/2891
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: Ib47f5a6cc88e784c5662b0dab4ddc03ce9a35132
Gerrit-PatchSet: 12
Gerrit-Project: osmo-bts
Gerrit-Branch: master
Gerrit-Owner: Max <msuraev at sysmocom.de>
Gerrit-Reviewer: André Boddenberg <dr.blobb at gmail.com>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: Max <msuraev at sysmocom.de>
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list